package de.duehl.basics.system.launcher;

import de.duehl.basics.text.handling.BooleanHandling;

public class JarStarterTest {

    public static void main(String[] args) {
        //String jarName = "c:\\Users\\usr207\\Daten\\Sonstiges\\Vokabel-Trainer-Test\\"
        //        + "de.duehl.vocabulary.japanese_0.03.02.jar";
        String jarName = "c:\\Users\\usr207\\Daten\\Sonstiges\\Vokabel-Trainer-Test\\"
                + "de.duehl.vocabulary.japanese_0.03.03.jar";
        //JarStarter starter = new JarStarter(jarName);
        JarStarter starter = new JarStarter(jarName, "--start_without_launcher");
        starter.start();
        boolean success = starter.isSuccess();
        String command = starter.getCommand();
        System.out.println("command: " + command);
        System.out.println("Erfolg: " + BooleanHandling.booleanToString(success));
    }

}
